Page MenuHomePhabricator

Optimize CiviCRM CI job
Closed, ResolvedPublic

Description

Currently takes 75s, it can probably be improved by more caching of the environment. The PHPUnit tests themselves are only 7s of this execution time.

Details

Related Gerrit Patches:

Event Timeline

awight created this task.Mar 7 2015, 7:37 PM
awight raised the priority of this task from to Low.
awight updated the task description. (Show Details)
awight added subscribers: Ejegg, awight, atgo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2015, 7:37 PM

Change 266447 had a related patch set uploaded (by Awight):
Fundraising CRM job can run concurrently now

https://gerrit.wikimedia.org/r/266447

Change 266447 merged by jenkins-bot:
Fundraising CRM job can run concurrently now

https://gerrit.wikimedia.org/r/266447

@awight @Eileenmcnaughton Now that AMPHOME is set on a per build basis ( https://gerrit.wikimedia.org/r/#/c/266443/3/bin/ci-populate-dbs.sh,cm ), I guess that optimize task can be closed as solved? ;-)

This still takes 85s when the tests themselves are < 10s of work, but I'm fine closing this task for now since concurrency was the biggest pain point. We can wait 2 minutes :-)

awight closed this task as Resolved.Apr 11 2016, 11:54 PM
awight claimed this task.
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM